For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSimulates Shipment
      • GETGet Simulation Status
    • OpenAPI spec
LogoLogo
API ReferenceSimulations

Get Simulation Status

||View as Markdown|
GET
/2026-01/simulate/status/:simulationId
GET
/2026-01/simulate/status/:simulationId
$curl https://api.shipbob.com/2026-01/simulate/status/simulationId \
> -H "Authorization: Bearer <token>"
200Simulations_getSimulationStatus_example
1{
2 "entity_id": "string",
3 "entity_type": "string",
4 "simulation": {
5 "action": "ShipOrder",
6 "message": "string",
7 "next": {},
8 "schedule_time": "2019-08-24T14:15:22Z",
9 "status": "string"
10 },
11 "simulation_id": "df0e679f-936d-49a6-bcd5-04f5809bd3f2"
12}
Get the status of a simulation in the ShipBob sandbox environment. Learn more about [sandbox simulations](/sandbox/simulations). <Warning>This endpoint is **only available** on sandbox.</Warning>
Was this page helpful?
Previous

Simulates Shipment

Built with

Get the status of a simulation in the ShipBob sandbox environment. Learn more about sandbox simulations.

This endpoint is only available on sandbox.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

simulationIdstringRequiredformat: "uuid"
The simulation id

Response

The simulation status
entity_idstring or null

The identifier of the entity the simulation is associated with (for example: shipment id).

entity_typestring or null

The type of entity the simulation is associated with (for example: Order).

simulationobject

The current status of the simulation action(s), including any chained next actions.

simulation_idstring or nullformat: "uuid"
The unique identifier of the simulation run.